/*global $,owl,smoothScroll,AOS*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });


    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });



    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 50
    });
    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.navo').addClass('sticky');
        } else {
            $('.navo').removeClass('sticky');
        }
    });

    $('[data-fancybox]').fancybox();

    AOS.init();


    $(".pr-slider").owlCarousel({
        navigation: false,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 5000,
        items: 4,
        mouseDrag: true,
        pagination: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 2],
			[700, 2],
            [800, 2],
			[1000, 3],
			[1200, 4],
			[1400, 4],
			[1600, 4]
        ],
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true
    });

    $(".h-slider").owlCarousel({
//        transitionStyle: "fade",
        navigation: false,
        slideSpeed: 1000,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 5000,
        pagination: false,
        stopOnHover: false,
        mouseDrag: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-arrow-left'></i></span>", "<span class='slider-right'><i class='fa fa-arrow-right'></i></span>"]
    });

    $('.op-navo-menu').click(function () {
        $('body').addClass('shifted');
    });

    $('.overlay').click(function () {
        $('body').removeClass('shifted');
    });

});